aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2025-03-02 17:11:57 -0300
committerEuAndreh <eu@euandre.org>2025-03-02 17:11:57 -0300
commit7d33a8c39844b9c1cf26f131bf7c9fa6984cc635 (patch)
tree7b669a7edb259cb028361aa8e4b53c272e43eff5
parentetc/sh/rc: Define $LIVEDIR (diff)
downloaddotfiles-7d33a8c39844b9c1cf26f131bf7c9fa6984cc635.tar.gz
dotfiles-7d33a8c39844b9c1cf26f131bf7c9fa6984cc635.tar.xz
bin/upload: Add version that does not delete files
-rwxr-xr-xbin/upload10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/upload b/bin/upload
new file mode 100755
index 0000000..730be5f
--- /dev/null
+++ b/bin/upload
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+cd "${LIVEDIR:-~/Public/live/}"
+for f in queue/*.webm; do
+ rsync -avP -- "$f" toph:lives/
+ : day="$(basename -- "$f" .webm)"
+ : rm -rf "$day"/
+ : rm -v "$f"
+done